Bug 971436 (CVE-2013-2153) - CVE-2013-2153 xml-security-c: Signature verification bypass flaw via EntityReference nodes in Reference elements
Summary: CVE-2013-2153 xml-security-c: Signature verification bypass flaw via EntityRe...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2153
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 975304 975305
Blocks: 971467
TreeView+ depends on / blocked
 
Reported: 2013-06-06 13:51 UTC by Jan Lieskovsky
Modified: 2021-10-20 10:38 UTC (History)
1 user (show)

Fixed In Version: xml-security-c-1.7.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-20 10:38:28 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2013-06-06 13:51:54 UTC
A security flaw was found in the way Apache Santuario-C++ (AKA xml-security-c), a C++ language implementation of W3C security standards for XML, processed certain DSIG <Reference> elements. When loading the XML file and reviewing the content of a <Reference> elements used by the signer in the Signature, the xml-security-c library was (previously) not checking if that element did not contain EntityReference nodes, which allowed an attacker to bypass the signature verification process (make the signature verification process to succeed also for arbitrary forged content).

Upstream advisory:
[1] http://santuario.apache.org/secadv.data/CVE-2013-2153.txt

Relevant patch:
[2] http://svn.apache.org/viewvc?view=revision&revision=r1493959

Acknowledgements:

Red Hat would like to thank Scott Cantor of Apache Santuario-C++ upstream for reporting of this issue. Upstream acknowledges James Forshaw of Context Information Security as the original issue reporter.

Comment 2 Jan Lieskovsky 2013-06-06 13:55:19 UTC
This issue affects the versions of the xml-security-c package, as shipped with Fedora release of 17 and 18.

--

This issue affects the versions of the xml-security-c package, as shipped with Fedora EPEL-5 and Fedora EPEL-6.

Comment 3 Huzaifa S. Sidhpurwala 2013-06-18 04:16:31 UTC
Public via:

http://santuario.apache.org/secadv.data/CVE-2013-2153.txt

Comment 4 Huzaifa S. Sidhpurwala 2013-06-18 04:21:52 UTC
Created xml-security-c tracking bugs for this issue

Affects: fedora-all [bug 975304]
Affects: epel-all [bug 975305]


Note You need to log in before you can comment on or make changes to this bug.